Only get setuptools < 44 on Python 3.4 (#1677)

This allows to have multiple setuptools versions (for 3.4 and newer).
2 files changed